com.trendmicro.ds.network.rest.object.sslconfiguration

## Enum SSLCredential.Type

- java.lang.Object
- - java.lang.Enum<SSLCredential.Type>
  - - com.trendmicro.ds.network.rest.object.sslconfiguration.SSLCredential.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSLCredential.Type>
  Enclosing class:
    SSLCredential

      public static enum SSLCredential.Type
      extends java.lang.Enum<SSLCredential.Type>

  Supported SSL credential types (PEM, P12, and CAPI).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPI`
    `PEM`
    `PKCS12`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLCredential.Type` | `fromValue(java.lang.String value)`
    `java.lang.String` | `getValue()`
    `static SSLCredential.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSLCredential.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PKCS12

          public static final SSLCredential.Type PKCS12

    - #### PEM

          public static final SSLCredential.Type PEM

    - #### CAPI

          public static final SSLCredential.Type CAPI

  - ### Method Detail

    - #### values

          public static SSLCredential.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSLCredential.Type c : SSLCredential.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSLCredential.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### fromValue

          public static SSLCredential.Type fromValue(java.lang.String value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.